description: "Gothic II Gold - Vanilla with patches and Union mod"
game_slug: gothic-ii-gold-edition
gogslug: gothic_2_gold_edition
installer_slug: gothic2-gog
name: "Gothic II: Gold Edition"
slug: gothic2-gog
gogid: 1207658718
version: GOG
year: 2003
notes:
  "Hassle free installer of Gothic II GOG version. Click \"Continue\" button in\
  \ any pop-up during the installation. Please be patient, some steps take time to\
  \ execute."
runner: wine
script:
  files:
    - setup: N/A:Select the GOG game setup file
    - fix:
        filename: gothic2_fix-2.6.0.0-rev2.exe
        url: https://www.worldofgothic.de/download.php?id=833
    - union:
        filename: Union_1.0m_26.06.2022.exe
        url: https://www.worldofgothic.de/download.php?id=1625
  game:
    arch: win32
    exe: $gamesystempath/Gothic2.exe
    prefix: $GAMEDIR
  installer:
    - task:
        arch: win32
        description: Creating 32-bit Wine prefix
        install_gecko: false
        install_mono: false
        name: create_prefix
        prefix: $GAMEDIR
    - task:
        app: win7
        arch: win32
        description: "winetricks: win7"
        name: winetricks
        prefix: $GAMEDIR
    - task:
        arch: win32
        args: /SP- /SUPRESSMSGBOXES /LOG /SILENT
        description: Installing Gothic II
        executable: setup
        name: wineexec
        prefix: $GAMEDIR
    - task:
        app: dotnet40 vcrun2008 vcrun2010 directmusic
        arch: win32
        description: Install wine dependencies. This will take some time.
        name: winetricks
        prefix: $GAMEDIR
    - task:
        arch: win32
        description: Install 2.6 fix
        executable: fix
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - task:
        arch: win32
        description: Install Union patch
        executable: union
        name: wineexec
        prefix: $GAMEDIR
        working_dir: $GAMEDIR
    - write_config:
        data:
          GAME:
            playLogoVideos: 0
            scaleVideos: 1
            subTitles: 1
        description: Updating 'gothic.ini' file
        file: $GAMEDIR/drive_c/GOG Games/Gothic 2 Gold/system/GOTHIC.INI
  variables:
    gamesystempath: drive_c/GOG Games/Gothic 2 Gold/system
  wine:
    overrides:
      dsound: b,n
